Subject: bug#49250: closed (Re: bug#49250: dejagnu 1.6.3 breaks automake 1.16.3 testsuite)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Jul 2021 00:05:02 +0000

Your bug report

#49250: dejagnu 1.6.3 breaks automake 1.16.3 testsuite

which was filed against the dejagnu package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49250: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49250
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49250: dejagnu 1.6.3 breaks automake 1.16.3 testsuite
From: Jacob Bachmeyer <[email-masked]>
To: Andreas Schwab <[email-masked]>
Cc: [email-masked]
Date: Fri, 16 Jul 2021 19:04:10 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Andreas Schwab wrote:
> On Jul 06 2021, Jacob Bachmeyer wrote:
>   
>> Does it solve the problem at your site?
>>     
>
> Yes, it does.

The patch was merged into DejaGnu Git master at commit 
cd94f0675dbf6f3d5cbc7945297a3cea57848249.  Additionally, the issue was 
fixed in upstream Automake at commit 
7e50be6bce6b662d27e3049170282aaddaaee791 
<http://git.savannah.gnu.org/cgit/automake.git/commit/?id=7e50be6bce6b662d27e3049170282aaddaaee791> 
in the GNU Automake Git repository.

The latter patch should fully resolve the issue at the next Automake 
release.

-- Jacob

Subject: dejagnu 1.6.3 breaks automake 1.16.3 testsuite
From: Andreas Schwab <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 28 Jun 2021 11:45:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The following automake tests fail with dejagnu 1.6.3:

FAIL: t/check12.sh
FAIL: t/dejagnu-relative-srcdir.sh
FAIL: t/dejagnu-siteexp-extend.sh
FAIL: t/check12-w.sh

FAIL: t/check12
===============

check12: running runtest SOMEPROGRAM=someprogram --version
DejaGnu version	1.6.3
Expect version	5.45.4
Tcl version	8.6
Running from installcheck: no
Test Protocol: none
PATH = /home/abuild/rpmbuild/BUILD/automake-1.16.3/bin:/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/ax:/usr/local/bin:/usr/bin:/bin
++ pwd
/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12.dir
+ cat
+ cat
+ cat
+ cat
+ chmod +x a.test b.test
+ cat
+ A_EXIT_STATUS=0
+ export A_EXIT_STATUS
+ B_EXIT_STATUS=0
+ export B_EXIT_STATUS
+ cat
+ cat
+ NAIL=nail
+ export NAIL
+ cat
+ chmod +x hammer spanner
+ mkdir hammer.test spanner.test
+ cat
+ cat
+ cat
+ CHECKLOCAL_EXIT_STATUS=0
+ export CHECKLOCAL_EXIT_STATUS
+ aclocal-1.16 -Werror
+ autoconf
+ automake-1.16 --foreign -Werror -Wall --add-missing
parallel-tests: installing './test-driver'
+ for vpath in : false
+ :
+ srcdir=..
+ mkdir build
+ cd build
+ test -f config.status
+ ../configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
+ make check
make  check-DEJAGNU check-TESTS check-local
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12.dir/build'
Making a new site.exp file ...
srcdir='..'; export srcdir; \
EXPECT=expect; export EXPECT; \
if /bin/sh -c "runtest --version" > /dev/null 2>&1; then \
  exit_status=0; l='hammer spanner'; for tool in $l; do \
    if runtest --tool $tool --srcdir $srcdir HAMMER=../hammer SPANNER=../spanner ; \
    then :; else exit_status=1; fi; \
  done; \
else echo "WARNING: could not find 'runtest'" 1>&2; :;\
fi; \
exit $exit_status
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:45:19 2021
Native configuration is x86_64-pc-linux-gnu

		=== hammer tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ...
Running ../build/site.exp ...
Running ../hammer.test/hammer.exp ...
Running ../spanner.test/spanner.exp ...

		=== hammer Summary ===

# of expected passes		2
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:45:19 2021
Native configuration is x86_64-pc-linux-gnu

		=== spanner tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ...
Running ../build/site.exp ...
Running ../hammer.test/hammer.exp ...
Running ../spanner.test/spanner.exp ...

		=== spanner Summary ===

# of expected passes		2
make[2]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12.dir/build'
PASS: a.test
PASS: b.test
============================================================================
Testsuite summary for check12 1.0
============================================================================
# TOTAL: 2
# PASS:  2
[ 1024s] # SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[2]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12.dir/build'
case $CHECKLOCAL_EXIT_STATUS in \
  0) echo 'check-local succeeded :-)';; \
  *) echo 'check-local failed :-(';; \
esac >local.log
exit $CHECKLOCAL_EXIT_STATUS
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12.dir/build'
+ test -f hammer.log
+ test -f hammer.sum
+ test -f spanner.log
+ test -f spanner.sum
+ test x '!=' xyes
+ test -f test-suite.log
+ test -f a.log
+ test -f b.log
+ grep 'check-local succeeded :-)' local.log
check-local succeeded :-)
+ cp -f config.status config-status.sav
+ make distclean
test -z "local.log" || rm -f local.log
test -z "a.log b.log" || rm -f a.log b.log
test -z "a.trs b.trs" || rm -f a.trs b.trs
test -z "test-suite.log" || rm -f test-suite.log
rm -f site.exp site.bak
l='hammer spanner'; for tool in $l; do \
  rm -f $tool.sum $tool.log; \
done
test -z "" || rm -f 
test . = ".." || test -z "" || rm -f 
rm -f config.status config.cache config.log configure.lineno config.status.lineno
rm -f Makefile
+ test '!' -e hammer.log
+ test '!' -e hammer.sum
+ test '!' -e spanner.log
+ test '!' -e spanner.sum
+ test '!' -e test-suite.log
+ test '!' -e a.log
+ test '!' -e b.log
+ test '!' -e local.log
+ mv -f config-status.sav config.status
+ ./config.status
config.status: creating Makefile
+ NAIL=screw
+ make check
make  check-DEJAGNU check-TESTS check-local
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12.dir/build'
Making a new site.exp file ...
srcdir='..'; export srcdir; \
EXPECT=expect; export EXPECT; \
if /bin/sh -c "runtest --version" > /dev/null 2>&1; then \
  exit_status=0; l='hammer spanner'; for tool in $l; do \
    if runtest --tool $tool --srcdir $srcdir HAMMER=../hammer SPANNER=../spanner ; \
    then :; else exit_status=1; fi; \
  done; \
else echo "WARNING: could not find 'runtest'" 1>&2; :;\
fi; \
exit $exit_status
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:45:19 2021
Native configuration is x86_64-pc-linux-gnu

		=== hammer tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ...
Running ../build/site.exp ...
Running ../hammer.test/hammer.exp ...
FAIL: test_hammer
Running ../spanner.test/spanner.exp ...

		=== hammer Summary ===

# of expected passes		1
# of unexpected failures	1
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:45:19 2021
Native configuration is x86_64-pc-linux-gnu

		=== spanner tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ...
Running ../build/site.exp ...
Running ../hammer.test/hammer.exp ...
FAIL: test_hammer
Running ../spanner.test/spanner.exp ...

		=== spanner Summary ===

# of expected passes		1
# of unexpected failures	1
make[1]: *** [Makefile:471: check-DEJAGNU] Error 1
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12.dir/build'
make: *** [Makefile:830: check-am] Error 2
+ test -f hammer.log
+ test -f hammer.sum
+ test -f spanner.log
+ test -f spanner.sum
+ grep 'FAIL: test_hammer' hammer.sum
FAIL: test_hammer
+ grep FAIL: spanner.sum
FAIL: test_hammer
+ _am_exit 1
+ set +e
+ test 77 = 1
+ exit 1
+ exit 1
+ am_exit_trap 1
+ exit_status=1
+ set +e
+ cd /home/abuild/rpmbuild/BUILD/automake-1.16.3
+ test none = tap
+ case $am_explicit_skips in
+ test 1 -eq 0
+ keep_testdirs=yes
+ am_keeping_testdirs
+ case $keep_testdirs in
+ return 0
+ set +x
FAIL t/check12.sh (exit status: 1)

FAIL: t/dejagnu-relative-srcdir
===============================

dejagnu-relative-srcdir: running runtest SOMEPROGRAM=someprogram --version
DejaGnu version	1.6.3
Expect version	5.45.4
Tcl version	8.6
Running from installcheck: no
Test Protocol: none
PATH = /home/abuild/rpmbuild/BUILD/automake-1.16.3/bin:/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/ax:/usr/local/bin:/usr/bin:/bin
++ pwd
/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-relative-srcdir.dir
+ cat
+ cat
+ mkdir env.test tcl.test lib
+ cat
+ cat
+ cat
+ aclocal-1.16 -Werror
+ autoconf
+ automake-1.16 --foreign -Werror -Wall --add-missing
+ ./configure --srcdir=.
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
+ make check
make  check-DEJAGNU
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-relative-srcdir.dir'
Making a new site.exp file ...
srcdir='.'; export srcdir; \
EXPECT=expect; export EXPECT; \
if /bin/sh -c "runtest --version" > /dev/null 2>&1; then \
  exit_status=0; l='tcl env'; for tool in $l; do \
    if runtest --tool $tool --srcdir $srcdir  ; \
    then :; else exit_status=1; fi; \
  done; \
else echo "WARNING: could not find 'runtest'" 1>&2; :;\
fi; \
exit $exit_status
Using ./lib/tcl.exp as tool init file.
tcl_lib_srcdir: .
Test run by abuild on Mon Jun 28 08:46:21 2021
Native configuration is x86_64-pc-linux-gnu

		=== tcl tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ..
Running ./env.test/env.exp ...
env_srcdir: .
Running ./site.exp ...
Running ./tcl.test/tcl.exp ...
tcl_srcdir: .
tcl_orig_srcdir: .

		=== tcl Summary ===

# of expected passes		3
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:46:21 2021
Native configuration is x86_64-pc-linux-gnu

		=== env tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ..
Running ./env.test/env.exp ...
env_srcdir: .
Running ./site.exp ...
Running ./tcl.test/tcl.exp ...
tcl_srcdir: .
ERROR: tcl error sourcing ./tcl.test/tcl.exp.
ERROR: tcl error code TCL LOOKUP VARNAME orig_srcdir
ERROR: can't read "orig_srcdir": no such variable
    while executing
"send_user "tcl_orig_srcdir: $orig_srcdir\n""
    (file "./tcl.test/tcl.exp" line 7)
    invoked from within
"source ./tcl.test/tcl.exp"
    ("uplevel" body line 1)
    invoked from within
"uplevel #0 source ./tcl.test/tcl.exp"
    invoked from within
"catch "uplevel #0 source $test_file_name" msg"

		=== env Summary ===

# of expected passes		2
# of unresolved testcases	1
ERROR: -------------------------------------------
ERROR: in testcase ./tcl.test/tcl.exp
ERROR:  can't read "orig_srcdir": no such variable
ERROR:  tcl error code TCL LOOKUP VARNAME orig_srcdir
ERROR:  tcl error info:
can't read "orig_srcdir": no such variable
    while executing
"send_user "tcl_orig_srcdir: $orig_srcdir\n""
    (file "./tcl.test/tcl.exp" line 7)
    invoked from within
"source ./tcl.test/tcl.exp"
    ("uplevel" body line 1)
    invoked from within
"uplevel #0 source ./tcl.test/tcl.exp"
    invoked from within
"catch "uplevel #0 source $test_file_name" msg"
--------------------------------------------------
make[1]: *** [Makefile:264: check-DEJAGNU] Error 1
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-relative-srcdir.dir'
make: *** [Makefile:474: check-am] Error 2
+ am_exit_trap 2
+ exit_status=2
+ set +e
+ cd /home/abuild/rpmbuild/BUILD/automake-1.16.3
+ test none = tap
+ case $am_explicit_skips in
+ test 2 -eq 0
+ keep_testdirs=yes
+ am_keeping_testdirs
+ case $keep_testdirs in
+ return 0
+ set +x
FAIL t/dejagnu-relative-srcdir.sh (exit status: 2)

FAIL: t/dejagnu-siteexp-extend
==============================

dejagnu-siteexp-extend: running runtest SOMEPROGRAM=someprogram --version
DejaGnu version	1.6.3
Expect version	5.45.4
Tcl version	8.6
Running from installcheck: no
Test Protocol: none
PATH = /home/abuild/rpmbuild/BUILD/automake-1.16.3/bin:/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/ax:/usr/local/bin:/usr/bin:/bin
++ pwd
/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir
+ cat
+ cat
+ echo 'set foo "/foo/"'
+ mkdir tool.test
+ write_check_for foo
+ echo 'send_user "foo: $foo\n"'
+ unindent
+ test x = x
++ sed -e 's/  *# .*//'
++ printf '%s\n' '
  /^$/b                    # Nothing to do for empty lines.
  x                        # Get x<indent> into pattern space.
  /^$/{                    # No prior x<indent>, go prepare it.
    g                      # Copy this 1st non-blank line into pattern space.
    s/^\([	 ]*\).*/x\1/   # Prepare x<indent> in pattern space.
  }                        # Now: x<indent> in pattern and <line> in hold.
  G                        # Build x<indent>\n<line> in pattern space, and
  h                        # duplicate it into hold space.
  s/\n.*$//                # Restore x<indent> in pattern space, and
  x                        # exchange with the above duplicate in hold space.
  s/^x\(.*\)\n\1//         # Remove leading <indent> from <line>.
  s/^x.*\n//               # Restore <line> when there is no leading <indent>.
'
+ sed_unindent_prog='
  /^$/b
  x
  /^$/{
    g
    s/^\([	 ]*\).*/x\1/
  }
  G
  h
  s/\n.*$//
  x
  s/^x\(.*\)\n\1//
  s/^x.*\n//'
+ sed '
  /^$/b
  x
  /^$/{
    g
    s/^\([	 ]*\).*/x\1/
  }
  G
  h
  s/\n.*$//
  x
  s/^x\(.*\)\n\1//
  s/^x.*\n//'
+ cat tool.test/tool.exp
send_user "foo: $foo\n"
if { $foo == "/foo/" } {
    pass "test_foo"
} else {
    fail "test_foo"
}
+ aclocal-1.16 -Werror
+ autoconf
+ automake-1.16 --foreign -Werror -Wall --add-missing
+ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
+ make check
make  check-DEJAGNU
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir'
Making a new site.exp file ...
srcdir='.'; export srcdir; \
EXPECT=expect; export EXPECT; \
if /bin/sh -c "runtest --version" > /dev/null 2>&1; then \
  exit_status=0; l='tool'; for tool in $l; do \
    if runtest --tool $tool --srcdir $srcdir  ; \
    then :; else exit_status=1; fi; \
  done; \
else echo "WARNING: could not find 'runtest'" 1>&2; :;\
fi; \
exit $exit_status
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:46:22 2021
Native configuration is x86_64-pc-linux-gnu

		=== tool tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ..
Running ./foo.exp ...
Running ./site.exp ...
Running ./tool.test/tool.exp ...
foo: /foo/

		=== tool Summary ===

# of expected passes		1
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir'
+ cat foo.exp
set foo "/foo/"
+ cat site.exp
## these variables are automatically generated by make ##
# Do not edit here.  If you wish to override these values
# edit the last section
set srcdir "."
set objdir "/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir"
## Begin content included from file foo.exp.  Do not modify. ##
set foo "/foo/"
## End content included from file foo.exp. ##
## End of auto-generated content; you can edit from here. ##
+ grep 'PASS: test_foo' tool.sum
PASS: test_foo
+ write_check_for bar
+ echo 'send_user "bar: $bar\n"'
+ unindent
+ test 'x
  /^$/b
  x
  /^$/{
    g
    s/^\([	 ]*\).*/x\1/
  }
  G
  h
  s/\n.*$//
  x
  s/^x\(.*\)\n\1//
  s/^x.*\n//' = x
+ sed '
  /^$/b
  x
  /^$/{
    g
    s/^\([	 ]*\).*/x\1/
  }
  G
  h
  s/\n.*$//
  x
  s/^x\(.*\)\n\1//
  s/^x.*\n//'
+ write_check_for baz
+ echo 'send_user "baz: $baz\n"'
+ unindent
+ test 'x
  /^$/b
  x
  /^$/{
    g
    s/^\([	 ]*\).*/x\1/
  }
  G
  h
  s/\n.*$//
  x
  s/^x\(.*\)\n\1//
  s/^x.*\n//' = x
+ sed '
  /^$/b
  x
  /^$/{
    g
    s/^\([	 ]*\).*/x\1/
  }
  G
  h
  s/\n.*$//
  x
  s/^x\(.*\)\n\1//
  s/^x.*\n//'
+ cat tool.test/tool.exp
send_user "foo: $foo\n"
if { $foo == "/foo/" } {
    pass "test_foo"
} else {
    fail "test_foo"
}
send_user "bar: $bar\n"
if { $bar == "/bar/" } {
    pass "test_bar"
} else {
    fail "test_bar"
}
send_user "baz: $baz\n"
if { $baz == "/baz/" } {
    pass "test_baz"
} else {
    fail "test_baz"
}
+ sleep 2
+ cat
+ make check
make  check-DEJAGNU
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir'
Making a new site.exp file ...
srcdir='.'; export srcdir; \
EXPECT=expect; export EXPECT; \
if /bin/sh -c "runtest --version" > /dev/null 2>&1; then \
  exit_status=0; l='tool'; for tool in $l; do \
    if runtest --tool $tool --srcdir $srcdir  ; \
    then :; else exit_status=1; fi; \
  done; \
else echo "WARNING: could not find 'runtest'" 1>&2; :;\
fi; \
exit $exit_status
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:46:24 2021
Native configuration is x86_64-pc-linux-gnu

		=== tool tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ..
Running ./foo.exp ...
Running ./site.exp ...
Running ./tool.test/tool.exp ...
foo: /foo/
bar: /foo/
FAIL: test_bar
baz: /foo/
FAIL: test_baz

		=== tool Summary ===

# of expected passes		1
# of unexpected failures	2
make[1]: *** [Makefile:265: check-DEJAGNU] Error 1
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir'
make: *** [Makefile:475: check-am] Error 2
+ grep 'PASS: test_foo' tool.sum
PASS: test_foo
+ grep 'FAIL: test_bar' tool.sum
FAIL: test_bar
+ grep 'FAIL: test_baz' tool.sum
FAIL: test_baz
+ cat
+ echo 'set bar "/bar/"'
+ echo 'set baz "/xyz/"'
+ sleep 2
+ automake-1.16 --foreign -Werror -Wall Makefile
+ ./config.status Makefile
config.status: creating Makefile
+ make check
make  check-DEJAGNU
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir'
test -d bar.dir || mkdir bar.dir
echo 'set baz "/baz/"' > bar.dir/bar
Making a new site.exp file ...
srcdir='.'; export srcdir; \
EXPECT=expect; export EXPECT; \
if /bin/sh -c "runtest --version" > /dev/null 2>&1; then \
  exit_status=0; l='tool'; for tool in $l; do \
    if runtest --tool $tool --srcdir $srcdir  ; \
    then :; else exit_status=1; fi; \
  done; \
else echo "WARNING: could not find 'runtest'" 1>&2; :;\
fi; \
exit $exit_status
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:46:27 2021
Native configuration is x86_64-pc-linux-gnu

		=== tool tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ..
Running ./foo.exp ...
Running ./site.exp ...
Running ./tool.test/tool.exp ...
foo: /foo/
bar: /bar/
baz: /baz/

		=== tool Summary ===

# of expected passes		3
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir'
+ cat site.exp
## these variables are automatically generated by make ##
# Do not edit here.  If you wish to override these values
# edit the last section
set srcdir "."
set objdir "/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir"
## Begin content included from file foo.exp.  Do not modify. ##
set foo "/foo/"
set bar "/foo/"
set baz "/foo/"
set qux "/foo/"
## End content included from file foo.exp. ##
## Begin content included from file bar.  Do not modify. ##
set bar "/bar/"
set baz "/xyz/"
## End content included from file bar. ##
## Begin content included from file bar.dir/bar.  Do not modify. ##
set baz "/baz/"
## End content included from file bar.dir/bar. ##
## End of auto-generated content; you can edit from here. ##
+ cat bar.dir/bar
set baz "/baz/"
+ /usr/bin/grep -F /bar/ site.exp
set bar "/bar/"
+ /usr/bin/grep -F /baz/ site.exp
set baz "/baz/"
+ grep 'PASS: test_foo' tool.sum
PASS: test_foo
+ grep 'PASS: test_bar' tool.sum
PASS: test_bar
+ grep 'PASS: test_baz' tool.sum
PASS: test_baz
+ make distcheck
make  dist-gzip am__post_remove_distdir='@:'
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir'
make  distdir-am
make[2]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir'
if test -d "dejagnu-siteexp-extend-1.0"; then find "dejagnu-siteexp-extend-1.0" -type d ! -perm -200 -exec chmod u+w {} ';' && rm -rf "dejagnu-siteexp-extend-1.0" || { sleep 5 && rm -rf "dejagnu-siteexp-extend-1.0"; }; else :; fi
test -d "dejagnu-siteexp-extend-1.0" || mkdir "dejagnu-siteexp-extend-1.0"
test -n "" \
|| find "dejagnu-siteexp-extend-1.0" -type d ! -perm -755 \
	-exec chmod u+rwx,go+rx {} \; -o \
  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  ! -type d ! -perm -444 -exec /bin/sh /home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir/install-sh -c -m a+r {} {} \; \
|| chmod -R a+r "dejagnu-siteexp-extend-1.0"
make[2]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir'
tardir=dejagnu-siteexp-extend-1.0 && ${TAR-tar} chof - "$tardir" | eval GZIP= gzip --best -c >dejagnu-siteexp-extend-1.0.tar.gz
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir'
if test -d "dejagnu-siteexp-extend-1.0"; then find "dejagnu-siteexp-extend-1.0" -type d ! -perm -200 -exec chmod u+w {} ';' && rm -rf "dejagnu-siteexp-extend-1.0" || { sleep 5 && rm -rf "dejagnu-siteexp-extend-1.0"; }; else :; fi
case 'dejagnu-siteexp-extend-1.0.tar.gz' in \
*.tar.gz*) \
  eval GZIP= gzip --best -dc dejagnu-siteexp-extend-1.0.tar.gz | ${TAR-tar} xf - ;;\
*.tar.bz2*) \
  bzip2 -dc dejagnu-siteexp-extend-1.0.tar.bz2 | ${TAR-tar} xf - ;;\
*.tar.lz*) \
  lzip -dc dejagnu-siteexp-extend-1.0.tar.lz | ${TAR-tar} xf - ;;\
*.tar.xz*) \
  xz -dc dejagnu-siteexp-extend-1.0.tar.xz | ${TAR-tar} xf - ;;\
*.tar.Z*) \
  uncompress -c dejagnu-siteexp-extend-1.0.tar.Z | ${TAR-tar} xf - ;;\
*.shar.gz*) \
  eval GZIP= gzip --best -dc dejagnu-siteexp-extend-1.0.shar.gz | unshar ;;\
*.zip*) \
  unzip dejagnu-siteexp-extend-1.0.zip ;;\
*.tar.zst*) \
  zstd -dc dejagnu-siteexp-extend-1.0.tar.zst | ${TAR-tar} xf - ;;\
esac
chmod -R a-w dejagnu-siteexp-extend-1.0
chmod u+w dejagnu-siteexp-extend-1.0
mkdir dejagnu-siteexp-extend-1.0/_build dejagnu-siteexp-extend-1.0/_build/sub dejagnu-siteexp-extend-1.0/_inst
chmod a-w dejagnu-siteexp-extend-1.0
test -d dejagnu-siteexp-extend-1.0/_build || exit 0; \
dc_install_base=`CDPATH="${ZSH_VERSION+.}:" && cd dejagnu-siteexp-extend-1.0/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  && dc_destdir="${TMPDIR-/tmp}/am-dc-$$/" \
  && am__cwd=`pwd` \
  && CDPATH="${ZSH_VERSION+.}:" && cd dejagnu-siteexp-extend-1.0/_build/sub \
  && ../../configure \
     \
     \
    --srcdir=../.. --prefix="$dc_install_base" \
  && make  \
  && make  dvi \
  && make  check \
  && make  install \
  && make  installcheck \
  && make  uninstall \
  && make  distuninstallcheck_dir="$dc_install_base" \
        distuninstallcheck \
  && chmod -R a-w "$dc_install_base" \
  && ({ \
       (cd ../.. && umask 077 && mkdir "$dc_destdir") \
       && make  DESTDIR="$dc_destdir" install \
       && make  DESTDIR="$dc_destdir" uninstall \
       && make  DESTDIR="$dc_destdir" \
            distuninstallcheck_dir="$dc_destdir" distuninstallcheck; \
      } || { rm -rf "$dc_destdir"; exit 1; }) \
  && rm -rf "$dc_destdir" \
  && make  dist \
  && rm -rf dejagnu-siteexp-extend-1.0.tar.gz \
  && make  distcleancheck \
  && cd "$am__cwd" \
  || exit 1
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir/dejagnu-siteexp-extend-1.0/_build/sub'
make[1]: Nothing to be done for 'all'.
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir/dejagnu-siteexp-extend-1.0/_build/sub'
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir/dejagnu-siteexp-extend-1.0/_build/sub'
make[1]: Nothing to be done for 'dvi'.
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir/dejagnu-siteexp-extend-1.0/_build/sub'
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir/dejagnu-siteexp-extend-1.0/_build/sub'
make  check-DEJAGNU
make[2]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir/dejagnu-siteexp-extend-1.0/_build/sub'
test -d bar.dir || mkdir bar.dir
echo 'set baz "/baz/"' > bar.dir/bar
Making a new site.exp file ...
srcdir='../..'; export srcdir; \
EXPECT=expect; export EXPECT; \
if /bin/sh -c "runtest --version" > /dev/null 2>&1; then \
  exit_status=0; l='tool'; for tool in $l; do \
    if runtest --tool $tool --srcdir $srcdir  ; \
    then :; else exit_status=1; fi; \
  done; \
else echo "WARNING: could not find 'runtest'" 1>&2; :;\
fi; \
exit $exit_status
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:46:29 2021
Native configuration is x86_64-pc-linux-gnu

		=== tool tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ../...
Running ../../_build/sub/site.exp ...
Running ../../foo.exp ...
Running ../../tool.test/tool.exp ...
foo: /foo/
bar: /foo/
FAIL: test_bar
baz: /foo/
FAIL: test_baz

		=== tool Summary ===

# of expected passes		1
# of unexpected failures	2
make[2]: *** [Makefile:266: check-DEJAGNU] Error 1
make[2]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir/dejagnu-siteexp-extend-1.0/_build/sub'
make[1]: *** [Makefile:476: check-am] Error 2
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/dejagnu-siteexp-extend.dir/dejagnu-siteexp-extend-1.0/_build/sub'
make: *** [Makefile:397: distcheck] Error 1
+ am_exit_trap 2
+ exit_status=2
+ set +e
+ cd /home/abuild/rpmbuild/BUILD/automake-1.16.3
+ test none = tap
+ case $am_explicit_skips in
+ test 2 -eq 0
+ keep_testdirs=yes
+ am_keeping_testdirs
+ case $keep_testdirs in
+ return 0
+ set +x
FAIL t/dejagnu-siteexp-extend.sh (exit status: 2)

FAIL: t/check12-w
=================

./t/check12-w.sh: will source ./t/check12.sh
check12-w: running runtest SOMEPROGRAM=someprogram --version
DejaGnu version	1.6.3
Expect version	5.45.4
Tcl version	8.6
Running from installcheck: no
Test Protocol: none
PATH = /home/abuild/rpmbuild/BUILD/automake-1.16.3/bin:/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/ax:/usr/local/bin:/usr/bin:/bin
+++ pwd
/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12-w.dir
++ cat
++ cat
++ cat
++ cat
++ chmod +x a.test b.test
++ cat
++ A_EXIT_STATUS=0
++ export A_EXIT_STATUS
++ B_EXIT_STATUS=0
++ export B_EXIT_STATUS
++ cat
++ cat
++ NAIL=nail
++ export NAIL
++ cat
++ chmod +x hammer spanner
++ mkdir hammer.test spanner.test
++ cat
++ cat
++ cat
++ CHECKLOCAL_EXIT_STATUS=0
++ export CHECKLOCAL_EXIT_STATUS
++ aclocal-1.16 -Werror
++ autoconf
++ automake-1.16 --foreign -Werror -Wall --add-missing
++ for vpath in : false
++ :
++ srcdir=..
++ mkdir build
++ cd build
++ test -f config.status
++ ../configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
++ make check
make  check-DEJAGNU check-TESTS check-local
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12-w.dir/build'
Making a new site.exp file ...
srcdir='..'; export srcdir; \
EXPECT=expect; export EXPECT; \
if /bin/sh -c "runtest --version" > /dev/null 2>&1; then \
  exit_status=0; l='hammer spanner'; for tool in $l; do \
    if runtest --tool $tool --srcdir $srcdir HAMMER=../hammer SPANNER=../spanner ; \
    then :; else exit_status=1; fi; \
  done; \
else echo "WARNING: could not find 'runtest'" 1>&2; :;\
fi; \
exit $exit_status
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:55:56 2021
Native configuration is x86_64-pc-linux-gnu

		=== hammer tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ...
Running ../build/site.exp ...
Running ../hammer.test/hammer.exp ...
Running ../spanner.test/spanner.exp ...

		=== hammer Summary ===

# of expected passes		2
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:55:56 2021
Native configuration is x86_64-pc-linux-gnu

		=== spanner tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ...
Running ../build/site.exp ...
Running ../hammer.test/hammer.exp ...
Running ../spanner.test/spanner.exp ...

		=== spanner Summary ===

# of expected passes		2
a.test: exit status: 0
PASS: a.test
b.test: exit status: 0
PASS: b.test
==================
All 2 tests passed
==================
case $CHECKLOCAL_EXIT_STATUS in \
  0) echo 'check-local succeeded :-)';; \
  *) echo 'check-local failed :-(';; \
esac >local.log
exit $CHECKLOCAL_EXIT_STATUS
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12-w.dir/build'
++ test -f hammer.log
++ test -f hammer.sum
++ test -f spanner.log
++ test -f spanner.sum
++ test xyes '!=' xyes
++ grep 'check-local succeeded :-)' local.log
check-local succeeded :-)
++ cp -f config.status config-status.sav
++ make distclean
test -z "local.log" || rm -f local.log
rm -f site.exp site.bak
l='hammer spanner'; for tool in $l; do \
  rm -f $tool.sum $tool.log; \
done
test -z "" || rm -f 
test . = ".." || test -z "" || rm -f 
rm -f config.status config.cache config.log configure.lineno config.status.lineno
rm -f Makefile
++ test '!' -e hammer.log
++ test '!' -e hammer.sum
++ test '!' -e spanner.log
++ test '!' -e spanner.sum
++ test '!' -e test-suite.log
++ test '!' -e a.log
++ test '!' -e b.log
++ test '!' -e local.log
++ mv -f config-status.sav config.status
++ ./config.status
config.status: creating Makefile
++ NAIL=screw
++ make check
make  check-DEJAGNU check-TESTS check-local
make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12-w.dir/build'
Making a new site.exp file ...
srcdir='..'; export srcdir; \
EXPECT=expect; export EXPECT; \
if /bin/sh -c "runtest --version" > /dev/null 2>&1; then \
  exit_status=0; l='hammer spanner'; for tool in $l; do \
    if runtest --tool $tool --srcdir $srcdir HAMMER=../hammer SPANNER=../spanner ; \
    then :; else exit_status=1; fi; \
  done; \
else echo "WARNING: could not find 'runtest'" 1>&2; :;\
fi; \
exit $exit_status
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:55:57 2021
Native configuration is x86_64-pc-linux-gnu

		=== hammer tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ...
Running ../build/site.exp ...
Running ../hammer.test/hammer.exp ...
FAIL: test_hammer
Running ../spanner.test/spanner.exp ...

		=== hammer Summary ===

# of expected passes		1
# of unexpected failures	1
WARNING: Couldn't find tool init file
Test run by abuild on Mon Jun 28 08:55:57 2021
Native configuration is x86_64-pc-linux-gnu

		=== spanner tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
WARNING: could not find testsuite; trying ...
Running ../build/site.exp ...
Running ../hammer.test/hammer.exp ...
FAIL: test_hammer
Running ../spanner.test/spanner.exp ...

		=== spanner Summary ===

# of expected passes		1
# of unexpected failures	1
make[1]: *** [Makefile:290: check-DEJAGNU] Error 1
make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/automake-1.16.3/t/check12-w.dir/build'
make: *** [Makefile:593: check-am] Error 2
++ test -f hammer.log
++ test -f hammer.sum
++ test -f spanner.log
++ test -f spanner.sum
++ grep 'FAIL: test_hammer' hammer.sum
FAIL: test_hammer
++ grep FAIL: spanner.sum
FAIL: test_hammer
++ _am_exit 1
++ set +e
++ test 77 = 1
++ exit 1
++ exit 1
+ am_exit_trap 1
+ exit_status=1
+ set +e
+ cd /home/abuild/rpmbuild/BUILD/automake-1.16.3
+ test none = tap
+ case $am_explicit_skips in
+ test 1 -eq 0
+ keep_testdirs=yes
+ am_keeping_testdirs
+ case $keep_testdirs in
+ return 0
+ set +x
FAIL t/check12-w.sh (exit status: 1)

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."